summaryrefslogtreecommitdiff
path: root/yarns/yarn.sh
diff options
context:
space:
mode:
Diffstat (limited to 'yarns/yarn.sh')
-rw-r--r--yarns/yarn.sh37
1 files changed, 37 insertions, 0 deletions
diff --git a/yarns/yarn.sh b/yarns/yarn.sh
new file mode 100644
index 0000000..5f3e59b
--- /dev/null
+++ b/yarns/yarn.sh
@@ -0,0 +1,37 @@
+# Copyright 2014 Lars Wirzenius
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+# =*= License: GPL-3+ =*=
+
+
+# Yarn shell function library.
+
+
+# Run jt, from the source tree.
+
+run_jt()
+{
+ set +e
+ EDITOR=true \
+ "$SRCDIR/jt" --no-default-config \
+ --config "$DATADIR/source.conf" \
+ --config "$DATADIR/time.conf" \
+ --layout=pkb \
+ --no-git \
+ "$@"
+ exit_code="$?"
+ echo "$exit_code" > "$DATADIR/jt.exit"
+ return "$exit_code"
+}